org.jboss.jca.common.metadata.ds

## Class DataSourceAbstractImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.ds.DataSourceAbstractImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.ds.CommonDataSource, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata
  Direct Known Subclasses:
    DataSourceImpl, XADataSourceImpl

      public abstract class DataSourceAbstractImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.ds.CommonDataSource

  A DataSourceAbstractImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static CommonBundle` | `bundle` The bundle
    `protected java.lang.Boolean` | `connectable` Connectable
    `protected java.lang.String` | `driver` Driver
    `protected java.lang.Boolean` | `enabled` enabled
    `protected java.lang.Boolean` | `enlistmentTrace` Enlistment trace
    `protected java.lang.String` | `jndiName` jndiName
    `protected java.lang.String` | `mcp` MCP
    `protected java.lang.String` | `newConnectionSql` New connection SQL
    `protected java.lang.String` | `poolName` poolName
    `protected org.jboss.jca.common.api.metadata.ds.DsSecurity` | `security` security
    `protected java.lang.Boolean` | `spy` spy
    `protected org.jboss.jca.common.api.metadata.ds.Statement` | `statement` statement
    `protected org.jboss.jca.common.api.metadata.ds.TimeOut` | `timeOut` timeOut
    `protected java.lang.Boolean` | `tracking` Tracking
    `protected org.jboss.jca.common.api.metadata.ds.TransactionIsolation` | `transactionIsolation` transactionIsolation
    `protected java.lang.String` | `urlDelimiter` urlDelimiter
    `protected java.lang.String` | `urlSelectorStrategyClassName` urlSelectorStrategyClassName
    `protected java.lang.Boolean` | `useCcm` use-ccm
    `protected java.lang.Boolean` | `useJavaContext` useJavaContext
    `protected org.jboss.jca.common.api.metadata.ds.Validation` | `validation` validation

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DataSourceAbstractImpl(org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation, org.jboss.jca.common.api.metadata.ds.TimeOut timeOut, org.jboss.jca.common.api.metadata.ds.DsSecurity security, org.jboss.jca.common.api.metadata.ds.Statement statement, org.jboss.jca.common.api.metadata.ds.Validation validation, java.lang.String urlDelimiter, java.lang.String urlSelectorStrategyClassName, java.lang.Boolean useJavaContext, java.lang.String poolName, java.lang.Boolean enabled, java.lang.String jndiName, java.lang.Boolean spy, java.lang.Boolean useCcm, java.lang.String driver, java.lang.String newConnectionSql, java.lang.Boolean connectable, java.lang.Boolean tracking, java.lang.String mcp, java.lang.Boolean enlistmentTrace)` Create a new DataSourceAbstractImpl.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDriver()` Get the driver
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `java.lang.String` | `getMcp()` Get the mcp
    `java.lang.String` | `getNewConnectionSql()`
    `java.lang.String` | `getPoolName()` Get the poolName.
    `org.jboss.jca.common.api.metadata.ds.DsSecurity` | `getSecurity()` Get the security.
    `org.jboss.jca.common.api.metadata.ds.Statement` | `getStatement()`
    `org.jboss.jca.common.api.metadata.ds.TimeOut` | `getTimeOut()` Get the timeOut
    `org.jboss.jca.common.api.metadata.ds.TransactionIsolation` | `getTransactionIsolation()` Get the transactionIsolation.
    `java.lang.String` | `getUrlDelimiter()`
    `java.lang.String` | `getUrlSelectorStrategyClassName()`
    `org.jboss.jca.common.api.metadata.ds.Validation` | `getValidation()` Get the validation.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isConnectable()`
    `java.lang.Boolean` | `isEnabled()` Get the enabled.
    `java.lang.Boolean` | `isEnlistmentTrace()` Get the enlistment trace
    `java.lang.Boolean` | `isSpy()` Get the spy.
    `java.lang.Boolean` | `isTracking()`
    `java.lang.Boolean` | `isUseCcm()` Get the use-ccm.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `protected void` | `partialCommonValidation()` Partial validation for common fields defined in this abstract class
    `void` | `setEnabled(java.lang.Boolean enabled)` Set the enabled.
    `abstract java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Field Detail

    - #### bundle

          protected static CommonBundle bundle

      The bundle

    - #### transactionIsolation

          protected org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation

      transactionIsolation

    - #### timeOut

          protected org.jboss.jca.common.api.metadata.ds.TimeOut timeOut

      timeOut

    - #### security

          protected org.jboss.jca.common.api.metadata.ds.DsSecurity security

      security

    - #### statement

          protected org.jboss.jca.common.api.metadata.ds.Statement statement

      statement

    - #### validation

          protected org.jboss.jca.common.api.metadata.ds.Validation validation

      validation

    - #### urlDelimiter

          protected java.lang.String urlDelimiter

      urlDelimiter

    - #### urlSelectorStrategyClassName

          protected java.lang.String urlSelectorStrategyClassName

      urlSelectorStrategyClassName

    - #### useJavaContext

          protected java.lang.Boolean useJavaContext

      useJavaContext

    - #### poolName

          protected java.lang.String poolName

      poolName

    - #### enabled

          protected java.lang.Boolean enabled

      enabled

    - #### jndiName

          protected java.lang.String jndiName

      jndiName

    - #### spy

          protected java.lang.Boolean spy

      spy

    - #### useCcm

          protected java.lang.Boolean useCcm

      use-ccm

    - #### driver

          protected java.lang.String driver

      Driver

    - #### newConnectionSql

          protected java.lang.String newConnectionSql

      New connection SQL

    - #### connectable

          protected java.lang.Boolean connectable

      Connectable

    - #### tracking

          protected java.lang.Boolean tracking

      Tracking

    - #### mcp

          protected java.lang.String mcp

      MCP

    - #### enlistmentTrace

          protected java.lang.Boolean enlistmentTrace

      Enlistment trace

  - ### Constructor Detail

    - #### DataSourceAbstractImpl

          protected DataSourceAbstractImpl(org.jboss.jca.common.api.metadata.ds.TransactionIsolation transactionIsolation,
                                           org.jboss.jca.common.api.metadata.ds.TimeOut timeOut,
                                           org.jboss.jca.common.api.metadata.ds.DsSecurity security,
                                           org.jboss.jca.common.api.metadata.ds.Statement statement,
                                           org.jboss.jca.common.api.metadata.ds.Validation validation,
                                           java.lang.String urlDelimiter,
                                           java.lang.String urlSelectorStrategyClassName,
                                           java.lang.Boolean useJavaContext,
                                           java.lang.String poolName,
                                           java.lang.Boolean enabled,
                                           java.lang.String jndiName,
                                           java.lang.Boolean spy,
                                           java.lang.Boolean useCcm,
                                           java.lang.String driver,
                                           java.lang.String newConnectionSql,
                                           java.lang.Boolean connectable,
                                           java.lang.Boolean tracking,
                                           java.lang.String mcp,
                                           java.lang.Boolean enlistmentTrace)
                                    throws org.jboss.jca.common.api.validator.ValidateException

      Create a new DataSourceAbstractImpl.
      Parameters:
        `transactionIsolation` - transactionIsolation
        `timeOut` - timeOut
        `security` - security
        `statement` - statement
        `validation` - validation
        `urlDelimiter` - urlDelimiter
        `urlSelectorStrategyClassName` - urlSelectorStrategyClassName
        `useJavaContext` - useJavaContext
        `poolName` - poolName
        `enabled` - enabled
        `jndiName` - jndiName
        `spy` - spy
        `useCcm` - useCcm
        `driver` - driver
        `newConnectionSql` - newConnectionSql
        `connectable` - connectable
        `tracking` - tracking
        `mcp` - mcp
        `enlistmentTrace` - enlistmentTrace
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getTransactionIsolation

          public org.jboss.jca.common.api.metadata.ds.TransactionIsolation getTransactionIsolation()

      Get the transactionIsolation.
      Specified by:
        `getTransactionIsolation` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the transactionIsolation.

    - #### getTimeOut

          public org.jboss.jca.common.api.metadata.ds.TimeOut getTimeOut()

      Get the timeOut
      Specified by:
        `getTimeOut` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the timeOut.

    - #### getSecurity

          public org.jboss.jca.common.api.metadata.ds.DsSecurity getSecurity()

      Get the security.
      Specified by:
        `getSecurity` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the security.

    - #### getValidation

          public org.jboss.jca.common.api.metadata.ds.Validation getValidation()

      Get the validation.
      Specified by:
        `getValidation` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the validation.

    - #### getStatement

          public org.jboss.jca.common.api.metadata.ds.Statement getStatement()

    - #### getUrlDelimiter

          public java.lang.String getUrlDelimiter()

    - #### getUrlSelectorStrategyClassName

          public java.lang.String getUrlSelectorStrategyClassName()

    - #### isUseJavaContext

          public java.lang.Boolean isUseJavaContext()

      Get the useJavaContext.
      Specified by:
        `isUseJavaContext` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the useJavaContext.

    - #### getPoolName

          public java.lang.String getPoolName()

      Get the poolName.
      Specified by:
        `getPoolName` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the poolName.

    - #### isEnabled

          public java.lang.Boolean isEnabled()

      Get the enabled.
      Specified by:
        `isEnabled` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the enabled.

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the jndiName.
      Specified by:
        `getJndiName` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the jndiName.

    - #### isSpy

          public java.lang.Boolean isSpy()

      Get the spy.
      Specified by:
        `isSpy` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the spy.

    - #### isUseCcm

          public java.lang.Boolean isUseCcm()

      Get the use-ccm.
      Specified by:
        `isUseCcm` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the use-ccm.

    - #### getDriver

          public java.lang.String getDriver()

      Get the driver
      Specified by:
        `getDriver` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        The value

    - #### getNewConnectionSql

          public java.lang.String getNewConnectionSql()

    - #### isConnectable

          public java.lang.Boolean isConnectable()

    - #### isTracking

          public java.lang.Boolean isTracking()

    - #### getMcp

          public java.lang.String getMcp()

      Get the mcp
      Specified by:
        `getMcp` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the mcp

    - #### isEnlistmentTrace

          public java.lang.Boolean isEnlistmentTrace()

      Get the enlistment trace
      Specified by:
        `isEnlistmentTrace` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Returns:
        the enlistment trace

    - #### setEnabled

          public void setEnabled(java.lang.Boolean enabled)

      Set the enabled.
      Specified by:
        `setEnabled` in interface `org.jboss.jca.common.api.metadata.ds.CommonDataSource`
      Parameters:
        `enabled` - The enabled to set.

    - #### partialCommonValidation

          protected void partialCommonValidation()
                                          throws org.jboss.jca.common.api.validator.ValidateException

      Partial validation for common fields defined in this abstract class
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public abstract java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)